package com.gx.obe.common.widget.dialog;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.EDialog;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

public abstract class PublicDialog extends EDialog {
	
	/**
	 * Create the dialog.
	 * @param parentShell
	 */
	public PublicDialog(Shell parentShell) {
		super(parentShell);
	}
	
	/**
	 * Create contents of the dialog.
	 * @param parent
	 */
	@Override
	protected Control createDialogArea(Composite parent) {
		Composite container = (Composite) super.createDialogArea(parent);
		container.setLayout(new FillLayout(SWT.HORIZONTAL));
		init(container);
		return container;
	}
	
	public abstract void init(Composite container);

	/**
	 * Return the initial size of the dialog.
	 */
	@Override
	protected Point getInitialSize() {
		return new Point(987, 610);
	}
	
	
	public static void main(String[] args) {
		getFBNQ(30);
	}
	
	private static Long getFBNQ(int n) {
		Long fn = 0l;
		Long fn_1 = 1l;
		for (int i = 0; i < n; i++) {
			Long _fn_1 = fn_1;
			fn_1 = fn;
			fn += _fn_1;
			System.out.println(fn);
		}
		return fn;
	}
}
